API Reference
Configure a Claims source
/v1/claim-sourcesConfigures a new claims source for your tenant. When issuing a new credential, MATTR VII will make either a GET or a POST request to the claims source using the configured request parameters and fetch available data. This fetched data can then be included in the issued credential.
Roles
Analytics Events
Authorization
bearerAuth In: header
Request Body
application/json
The claim source payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X POST "https://example.com/v1/claim-sources" \ -H "Content-Type: application/json" \ -d '{ "name": "Claims source accepting a x-api-key header", "url": "https://example.com/api/data", "authorization": { "type": "api-key", "value": "6hrFDATxrG9w14QY9wwnmVhLE0Wg6LIvwOwUaxz761m1J" }, "requestParameters": { "account_type": { "mapFrom": "claims.accountType", "defaultValue": "account.student" }, "account_id": { "mapFrom": "claims.accountId" } } }'{ "name": "Claims source accepting a x-api-key header", "url": "https://example.com/api/data", "authorization": { "type": "api-key", "value": "****************************************61m1J" }, "requestParameters": { "account_type": { "mapFrom": "claims.accountType", "defaultValue": "account.student" }, "account_id": { "mapFrom": "claims.accountId" } }}Retrieve all Claim sources
/v1/claim-sourcesReturns a list of all claims sources configured on your tenant.
Roles
Analytics Events
Authorization
bearerAuth In: header
Query Parameters
Range size of returned entries, default 100
1 <= value <= 1000Starting point for the range of entries
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/claim-sources"{ "nextCursor": "string", "data": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "string", "requestMethod": "GET", "requestParameters": { "mapFrom": "string" }, "authorization": { "type": "api-key", "value": "string" } } ]}Retrieve a Claim source
/v1/claim-sources/{id}Retrieves an existing claims source by providing its claimSourceID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Claims source ID
uuidResponse Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/claim-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "string", "requestMethod": "GET", "requestParameters": { "mapFrom": "string" }, "authorization": { "type": "api-key", "value": "string" }}Update a Claim source
/v1/claim-sources/{id}Updates an existing claim source by providing its claimSourceID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Claims source ID
uuidRequest Body
application/json
The updated claims source payload
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X PUT "https://example.com/v1/claim-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "url": "string", "requestParameters": { "mapFrom": "string" }, "authorization": { "type": "api-key" } }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "url": "string", "requestMethod": "GET", "requestParameters": { "mapFrom": "string" }, "authorization": { "type": "api-key", "value": "string" }}Delete a Claim source
/v1/claim-sources/{id}Deletes an existing claims source by providing its claimSourceID.
Roles
Analytics Events
Authorization
bearerAuth In: header
Path Parameters
Claims source ID
uuidResponse Body
application/json
application/json
curl -X DELETE "https://example.com/v1/claim-sources/497f6eca-6276-4993-bfeb-53cbbbba6f08"How would you rate this page?
Last updated on